### Method

# Gio IOModuleScope block

since: 2.30

#### Declaration

    void
    g_io_module_scope_block (
      GIOModuleScope* scope,
      const gchar* basename
    )

#### Description

Block modules with the given `basename` from being loaded when this scope is used with `g_io_modules_scan_all_in_directory_with_scope()` or g_io_modules_load_all_in_directory_with_scope().

Available since: 2.30

#### Parameters

`basename`

  Type: `const gchar*`

  The basename to block.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.